#!/bin/bash
#
##########################################################################################
#                                 Table "public.netbox_rps_plugin_mapping"
#        Column        |           Type           | Collation | Nullable |             Default
#----------------------+--------------------------+-----------+----------+----------------------------------
# id                   | bigint                   |           | not null | generated by default as identity
# created              | timestamp with time zone |           |          |
# last_updated         | timestamp with time zone |           |          |
# custom_field_data    | jsonb                    |           | not null |
# source               | character varying(2000)  |           | not null |
# target               | character varying(2000)  |           | not null |
# authentication       | character varying(30)    |           | not null |
# testingpage          | character varying(2000)  |           |          |
# webdav               | boolean                  |           | not null |
# Comment              | character varying(500)   |           | not null |
# gzip_proxied         | boolean                  |           | not null |
# keepalive_requests   | integer                  |           | not null |
# keepalive_timeout    | integer                  |           | not null |
# proxy_cache          | boolean                  |           | not null |
# proxy_read_timeout   | integer                  |           | not null |
# client_max_body_size | integer                  |           | not null |
# sorry_page           | character varying(2000)  |           | not null |
# extra_protocols      | character varying(32)[]  |           | not null |
#Check constraints:
#    "netbox_rps_plugin_mapping_check_target_source_url" CHECK (NOT source::text = target::text)
##########################################################################################

WORKDIR="${0%/*}/"
# include lib
source ${WORKDIR}xxl_functions.sh
source ${WORKDIR}xxl.conf

# delimititer, use D=',' to convert into CSV format, or '\t' to use a tab
D='\t'

# Output
for (( i=1000; i<(1000+ROWS_TO_CREATE); i++ )); do
	echo -e "$(timestamp_date ${i})"		|tr '\n' "${D}"	# `created`
	echo -e "$(timestamp_date $(( 1000000 + i )) )"	|tr '\n' "${D}"	# `last_updated`
	echo -e "{}"					|tr '\n' "${D}"	# `custom_field_data`
	echo -e "$(func_url ${i})"			|tr '\n' "${D}"	# `source`
	echo -e "$(func_url_dest ${i})"			|tr '\n' "${D}"	# `target`
	echo -e "$(func_auth ${i})"			|tr '\n' "${D}"	# `authentication`
	echo -e "$(func_url ${i})"			|tr '\n' "${D}"	# `testingpage`
	echo -e "f"					|tr '\n' "${D}"	# `webdav`
	echo -e "\"$(func_comment ${i})\""		|tr '\n' "${D}"	# `comment`
	echo -e "f"					|tr '\n' "${D}"	# `gzip_proxied`
	echo -e "${i}"					|tr '\n' "${D}"	# `keepalive_request`
	echo -e "300"					|tr '\n' "${D}"	# `keepalive_timeout`
	echo -e "f"					|tr '\n' "${D}"	# `proxy_cache`
	echo -e "200"					|tr '\n' "${D}"	# `proxy_read_timeout`
	echo -e "128"					|tr '\n' "${D}"	# `client_max_body_size`
	echo -e "$(func_url ${i})"			|tr '\n' "${D}"	# `sorry_page`
	echo -e "{}"							# `extra_protocols`
done

exit 0
